Create a new context
curl --request POST \
--url https://a.api.mindset.ai/api/v1/appuid/{appUid}/contexts \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"externalId": "<string>",
"externalTenantId": "<string>",
"isSynced": true
}
'import requests
url = "https://a.api.mindset.ai/api/v1/appuid/{appUid}/contexts"
payload = {
"name": "<string>",
"description": "<string>",
"externalId": "<string>",
"externalTenantId": "<string>",
"isSynced": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
externalId: '<string>',
externalTenantId: '<string>',
isSynced: true
})
};
fetch('https://a.api.mindset.ai/api/v1/appuid/{appUid}/contexts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uid": "<string>",
"name": "<string>",
"description": "<string>",
"externalId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"isSynced": true,
"externalTenantId": "<string>"
}This response has no body data.This response has no body data.This response has no body data.This response has no body data.This response has no body data.Contexts
Create a new context
POST
/
api
/
v1
/
appuid
/
{appUid}
/
contexts
Create a new context
Authorizations
Path Parameters
Your application's uid
Minimum string length:
1Body
application/json
Name of the context
Required string length:
1 - 100Description of the context
Maximum string length:
100Optional External ID of the context
External tenant identifier (optional, immutable after creation)
Is the context synced
⌘I